package carrodecorrida2;

/**
 * Esta classe representa um carro da Corrida Maluca para uma simulação.
 * Esta versão da classe herda da classe Thread, então o método run de
 * instâncias desta classe poderá ser executado independentemente.
 */
public class CarroDeCorridaIndependente extends Thread {

    private String nome;
    private int distância;
    private int velocidade;

    /**
     * O construtor da classe inicializa o nome do carro e a velocidade do mesmo.
     */
    public CarroDeCorridaIndependente(String n, int vel) {
        nome = n;
        distância = 0;
        velocidade = vel;
    }

    /**
     * Este método imprime a distância percorrida até agora.
     */
    public void run() {
        while (distância <= 1200) {
            System.out.println(nome + " rodou " + distância + " km.");
            distância += velocidade;
            // Pausa o processamento com um cálculo inútil.
            for (int sleep = 0; sleep < 1000000; sleep++) {
                double x = Math.sqrt(Math.sqrt(Math.sqrt(sleep)));
            }
        }
    }
}
