package numeroaleatorio2;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.net.UnknownHostException;

public class SegundoClienteDeNumerosAleatorios {

    public static void main(String[] args) {
        String servidor = "localhost";
        // Tentamos fazer a conexão e ler uma linha...
        try {
            Socket conexão = new Socket(servidor, 9999);
            // A partir do socket podemos obter um InputStream, a partir deste um
            // DataInputStream.
            DataInputStream dis =
                    new DataInputStream(conexão.getInputStream());
            // A partir do socket podemos obter um OutputStream, a partir deste um
            // DataOutputStream.
            DataOutputStream dos =
                    new DataOutputStream(conexão.getOutputStream());
            // Quantos números aleatórios vamos querer ?
            System.out.print("Quantos números:");
            int quantos = Keyboard.readInt();
            // Enviamos esta informação para o servidor.
            dos.writeInt(quantos);
            // Lemos os números desejados do servidor.
            for (int q = 0; q < quantos; q++) {
                double valor = dis.readDouble();
                System.out.println("O " + (q + 1) + "o valor é " + valor + ".");
            }
            // Fechamos a conexão.
            dis.close();
            conexão.close();
        } // Se houve problemas com o nome do host...
        catch (UnknownHostException e) {
            System.out.println("O servidor não existe ou está fora do ar.");
        } // Se houve problemas genéricos de entrada e saída...
        catch (IOException e) {
            System.out.println("Erro de entrada e saída.");
        }
    }
}
